import { AnyCaseMatcher, AnyCaseMatcherOrData } from '@contract-case/case-plugin-dsl-types';
import { CoreHttpBasicAuthValueMatcher, CoreHttpRequestMatcher, CoreHttpResponseMatcher, CoreHttpStatusCodeMatcher, CoreUrlEncodedStringMatcher } from './matchers.types';
import { HttpMockRequest, HttpMockResponse } from './http.types';
export declare const httpStatusCodeMatcher: (codes: string | Array<string>, example?: number) => CoreHttpStatusCodeMatcher;
export declare const httpRequestMatcher: (request: HttpMockRequest) => CoreHttpRequestMatcher;
export declare const httpResponseMatcher: (response: HttpMockResponse) => CoreHttpResponseMatcher;
export declare const coreUrlEncodedString: (child: AnyCaseMatcherOrData) => CoreUrlEncodedStringMatcher;
export declare const coreBasicAuthValue: (username: AnyCaseMatcher | string, password: AnyCaseMatcher | string) => CoreHttpBasicAuthValueMatcher;
//# sourceMappingURL=http.d.ts.map